Summary: High quality MP3 audio encoder
Name: lame
Version: 3.100
Release: 3%{?dist}
License: GPLv2+
Group: Applications/Multimedia
URL: http://lame.sourceforge.net/
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Source0: http://downloads.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Patch0: lame-noexecstack.patch
Patch1: libmp3lame-symbols.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: ncurses-devel, sed
%ifarch %{ix86}
BuildRequires: nasm
%endif

%description
LAME is an open source MP3 encoder whose quality and speed matches
commercial encoders. LAME handles MPEG 1, 2 and 2.5 layer III
encoding with both constant and variable bitrates.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Header files and libraries needed to develop programs that use the
LAME encoder library.

%prep
%setup -q
%patch0 -p1 -b .lame-noexecstack
%patch1 -p1 -b .libmp3lame-symbols

%build
%{__sed} -i -e 's/^\(\s*hardcode_libdir_flag_spec\s*=\).*/\1/' configure
%ifarch %{ix86}
export CFLAGS="%{optflags} -ffast-math"
# from LFS:http://www.linuxfromscratch.org/blfs/view/svn/multimedia/lame.html
export ac_cv_header_xmmintrin_h=no
%endif
%configure \
%ifarch %{ix86}
  --enable-nasm \
%endif
  --disable-gtktest \
  --disable-static \
  --enable-mp3rtp

%{__make}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%{__make} install DESTDIR=%{buildroot} INSTALL="install -p"

# some apps still expect to find <lame.h>
%{__ln_s} -f %{name}/%{name}.h %{buildroot}%{_includedir}/%{name}.h

# remove unneeded files
%{__rm} -rf %{buildroot}%{_docdir}/%{name}
%{__rm} -f %{buildroot}%{_libdir}/*.la
%{__rm} -f doc/html/Makefile*

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING LICENSE README TODO USAGE doc/html/
%{_bindir}/%{name}
%{_bindir}/mp3rtp
%{_libdir}/libmp3%{name}.so.*
%{_mandir}/man1/%{name}.1*

%files devel
%defattr(-,root,root,-)
%doc API HACKING STYLEGUIDE
%{_includedir}/%{name}
%{_includedir}/%{name}.h
%{_libdir}/libmp3%{name}.so

%changelog
* Mon Jul 11 2022 Simon Matter <simon.matter@invoca.ch> 3.100-3
- build with mp3rtp
- add some features from Fedora package

* Tue Oct 17 2017 Simon Matter <simon.matter@invoca.ch> 3.100-2
- build without -ffast-math

* Mon Oct 16 2017 Simon Matter <simon.matter@invoca.ch> 3.100-1
- upgrade to 3.100

* Fri Mar 02 2012 Simon Matter <simon.matter@invoca.ch> 3.99.5-1
- upgrade to 3.99.5

* Mon Jan 30 2012 Simon Matter <simon.matter@invoca.ch> 3.99.4-1
- upgrade to 3.99.4

* Fri Dec 30 2011 Simon Matter <simon.matter@invoca.ch> 3.99.3-1
- upgrade to 3.99.3

* Wed Aug 10 2011 Simon Matter <simon.matter@invoca.ch> 3.98.4-3
- change defattr to fix directory permissions on EL6

* Fri Apr 15 2011 Simon Matter <simon.matter@invoca.ch> 3.98.4-2
- mass rebuild

* Wed Apr 21 2010 Simon Matter <simon.matter@invoca.ch> 3.98.4-1
- upgrade to 3.98.4

* Sat Feb 27 2010 Simon Matter <simon.matter@invoca.ch> 3.98.3-1
- upgrade to 3.98.3

* Tue Sep 23 2008 Simon Matter <simon.matter@invoca.ch> 3.98.2-1
- upgrade to 3.98.2

* Tue Jul 08 2008 Simon Matter <simon.matter@invoca.ch> 3.98-1
- upgrade to 3.98

* Sat Oct 14 2006 Simon Matter <simon.matter@invoca.ch> 3.97-1
- initial rpm release
